DuckDuckGo
DuckDuckGo: Search
Search from DuckDuckGo. Costs 1 credit per successful call.
GET
https://api.perceptlayer.com
/
v1
/
duckduckgo
/
search
Search
curl --request GET \
--url https://api.perceptlayer.com/v1/duckduckgo/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/duckduckgo/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/duckduckgo/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/duckduckgo/search';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/duckduckgo/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/duckduckgo/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/duckduckgo/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/duckduckgo/search")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "duckduckgo.search",
"params": {
"q": "laravel taylor otwell",
"kl": "us-en",
"start": "0"
},
"response": {
"success": true,
"data": {
"search_parameters": {
"q": "laravel taylor otwell",
"kl": "us-en",
"safe": true,
"start": 0
},
"organic_results": [
{
"position": 1,
"title": "Taylor Otwell - Founder & CEO at Laravel | LinkedIn",
"link": "https://www.linkedin.com/in/taylorotwell",
"snippet": "Founder & CEO at Laravel · Creator of Laravel, the PHP framework that empowers developers to build scalable and elegant web applications. My journey in software development has always been ...",
"display_url": "www.linkedin.com/in/taylorotwell",
"favicon": "https://icons.duckduckgo.com/ip3/www.linkedin.com.ico"
},
{
"position": 2,
"title": "taylorotwell (Taylor Otwell) · GitHub",
"link": "https://github.com/taylorotwell",
"snippet": "Creator of @laravel. taylorotwell has 10 repositories available. Follow their code on GitHub.",
"display_url": "github.com/taylorotwell",
"favicon": "https://icons.duckduckgo.com/ip3/github.com.ico"
},
{
"position": 3,
"title": "Laravel - Wikipedia",
"link": "https://en.wikipedia.org/wiki/Laravel",
"snippet": "Laravel is a free and open-source PHP -based web framework for building web applications. [3] It was created by Taylor Otwell and intended for the development of web applications following the model-view-controller (MVC) architectural patte…",
"display_url": "en.wikipedia.org/wiki/Laravel",
"favicon": "https://icons.duckduckgo.com/ip3/en.wikipedia.org.ico"
}
],
"pagination": {
"current": 1,
"has_more": true,
"next_start": 10,
"next": 2
},
"knowledge_graph": {
"ai_answer": {
"answer": "**Taylor Otwell** is the creator of **Laravel**, a PHP web application framework he started in **2011** as a side project for himself. He later built **Laravel Forge** in late **2013** and became full-time on Laravel by **January 2015**."
}
}
},
"meta": {
"duration_ms": 2169,
"endpoint_family": "web_search"
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}1 credit per successful call; failed calls are free. See the DuckDuckGo API overview for every DuckDuckGo endpoint.
Authorizations
Query Parameters
Maximum string length:
499Maximum string length:
10Available options:
d, w, m, y Was this page helpful?
⌘I
Search
curl --request GET \
--url https://api.perceptlayer.com/v1/duckduckgo/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/duckduckgo/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/duckduckgo/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/duckduckgo/search';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/duckduckgo/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/duckduckgo/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/duckduckgo/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/duckduckgo/search")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "duckduckgo.search",
"params": {
"q": "laravel taylor otwell",
"kl": "us-en",
"start": "0"
},
"response": {
"success": true,
"data": {
"search_parameters": {
"q": "laravel taylor otwell",
"kl": "us-en",
"safe": true,
"start": 0
},
"organic_results": [
{
"position": 1,
"title": "Taylor Otwell - Founder & CEO at Laravel | LinkedIn",
"link": "https://www.linkedin.com/in/taylorotwell",
"snippet": "Founder & CEO at Laravel · Creator of Laravel, the PHP framework that empowers developers to build scalable and elegant web applications. My journey in software development has always been ...",
"display_url": "www.linkedin.com/in/taylorotwell",
"favicon": "https://icons.duckduckgo.com/ip3/www.linkedin.com.ico"
},
{
"position": 2,
"title": "taylorotwell (Taylor Otwell) · GitHub",
"link": "https://github.com/taylorotwell",
"snippet": "Creator of @laravel. taylorotwell has 10 repositories available. Follow their code on GitHub.",
"display_url": "github.com/taylorotwell",
"favicon": "https://icons.duckduckgo.com/ip3/github.com.ico"
},
{
"position": 3,
"title": "Laravel - Wikipedia",
"link": "https://en.wikipedia.org/wiki/Laravel",
"snippet": "Laravel is a free and open-source PHP -based web framework for building web applications. [3] It was created by Taylor Otwell and intended for the development of web applications following the model-view-controller (MVC) architectural patte…",
"display_url": "en.wikipedia.org/wiki/Laravel",
"favicon": "https://icons.duckduckgo.com/ip3/en.wikipedia.org.ico"
}
],
"pagination": {
"current": 1,
"has_more": true,
"next_start": 10,
"next": 2
},
"knowledge_graph": {
"ai_answer": {
"answer": "**Taylor Otwell** is the creator of **Laravel**, a PHP web application framework he started in **2011** as a side project for himself. He later built **Laravel Forge** in late **2013** and became full-time on Laravel by **January 2015**."
}
}
},
"meta": {
"duration_ms": 2169,
"endpoint_family": "web_search"
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}